pocl (1.2-10) experimental; urgency=medium

  * Switch to llvm 7.  (Closes: #912793)
  * Update symbols files.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Feb 2019 16:56:57 +0100

pocl (1.2-5) unstable; urgency=medium

  * Disable dh_dwz which fails on 32-bit platforms, see #918903.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Feb 2019 00:39:59 +0100

pocl (1.2-4) unstable; urgency=medium

  * Cherry-pick upstream "Fix kernel debug data emission".  (Closes: #919824)
  * Switch to debhelper-compat (= 12).
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Feb 2019 16:08:38 +0100

pocl (1.2-3) experimental; urgency=medium

  * kernel/test_printf: Add more tests.
  * Perform compile test to select -march or -mcpu for clang.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Jan 2019 01:34:24 +0100

pocl (1.2-2) unstable; urgency=medium

  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Jan 2019 16:55:49 +0100

pocl (1.2-1) experimental; urgency=medium

  * New upstream release.
  * Remove patches that were applied upstream.
  * Cherry-pick upstream commit fixing LINK_WITH_CLANG.
  * Do not link with --rtlib=compiler-rt at all.
  * Ignore kernel/test_printf failure on i686.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Jan 2019 19:49:24 +0100

pocl (1.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh/remove patches.
  * Update symbols files for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Sep 2018 19:14:21 +0200

pocl (1.1-9) unstable; urgency=medium

  * Drop unused deprecated module 'sphinx.ext.pngmath'.  (Closes: #918828)
  * Update symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Jan 2019 00:56:33 +0100

pocl (1.1-8) unstable; urgency=medium

  * Update symbols files.  (Closes: #916024)
  * Fix building in armel chroot on arm64 host.  (Closes: #917244)
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Jan 2019 13:04:26 +0100

pocl (1.1-7) unstable; urgency=medium

  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Sep 2018 16:04:52 +0200

pocl (1.1-6) experimental; urgency=medium

  * pocl-opencl-icd: Mark as Multi-Arch: same.
  * Fix building in armhf chroot on arm64 host.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Update symbols files.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Sep 2018 14:11:03 +0200

pocl (1.1-5) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 09 Apr 2018 14:42:39 +0200

pocl (1.1-4) experimental; urgency=medium

  * Run clinfo during testing.
  * Do not link with --rtlib=compiler-rt on non-x86.  (Closes: #892426)
  * Prevent PIC/no-PIC option clash on mips64el.
  * Set target cpu for armel to arm946e-s (arch=armv5te).
  * Set target cpu for armhf to arm1156t2f-s (arch=armv6t2) with
    -mfpu=vfp3-d16. Probably suboptimal (should rather be arch=armv7-a without
    neon,vfp4), but passes all tests.  (Closes: #888063)
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Apr 2018 19:39:01 +0200

pocl (1.1-3) experimental; urgency=medium

  * Add support for building for the GENERIC cpu, i.e. llvm defaults.
  * Build with -DLLC_HOST_CPU=GENERIC on most architectures.
  * Build with -DKERNELLIB_HOST_CPU_VARIANTS=distro on amd64.
  * Switch to llvm 6.0.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Mar 2018 13:12:40 +0200

pocl (1.1-2) experimental; urgency=medium

  * Switch to llvm 5.0.
  * Update symbols files for amd64 and i386.
  * Cherry-pick upstream commits for libhwloc 2.0 support.
  * Cherry-pick upstream commit fixing test_clCreateSubDevices with 3 CUs.
  * Cherry-pick upstream commit fixing reported values of native/preferred
    vector width for unsupported types.
  * pocl-doc: Mark as Multi-Arch: foreign.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Mar 2018 17:35:44 +0200

pocl (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches, applied or fixed upstream.
  * Remove -DFORCE_OCL_KERNEL_TARGET_CPU=ON, fixed upstream.
  * Report the error code on test failure.
  * Point watch file to git tags on github.
  * Add debian/upstream/metadata.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Mar 2018 00:37:43 +0100

pocl (1.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.  (Closes: #888062)
  * Remove patches that were applied upstream.
  * Update symbols files.
  * Do not attempt to run the testsuite during an arch-indep build.
  * Set LLVM_ARCH for arm64, armel, armhf to generic.
  * Set LLVM_ARCH for s390x to z10.  (Closes: #888064)
  * Drop internal helper library packages libpoclu-dev and libpoclu2.
  * Add altivec.patch to get rid of the conflicting bool and vector macros
    from altivec.h.  (Closes: #764561)
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Feb 2018 17:31:09 +0100

pocl (1.0-2) unstable; urgency=medium

  * Merge changes from 0.14-7.
  * Build with SLEEF instead of VECMATHLIB.
  * HACK: Ignore test failure for kernel/test_fabs on i386.
  * Add and use new CMake option -DFORCE_OCL_KERNEL_TARGET_CPU=ON.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 19 Jan 2018 01:11:11 +0100

pocl (1.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh/remove patches.
  * Build with -DPOCL_ICD_ABSOLUTE_PATH=OFF.
  * Rename library packages for SOVERSION bump: 1 => 2.
  * Update symbols files for amd64 and i386.
  * Build with -DENABLE_VECMATHLIB=ON.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Jan 2018 14:13:19 +0100

pocl (0.14-7) unstable; urgency=medium

  * Switch to llvm 4.0.  (Closes: #873417)
  * Update symbols files for amd64 and i386.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Jan 2018 18:36:08 +0100

pocl (0.14-6) unstable; urgency=medium

  * Switch to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Switch Vcs-* to salsa.debian.org.
  * Remove superfluous patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Jan 2018 06:13:22 +0100

pocl (0.14-5) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Dec 2017 01:44:17 +0100

pocl (0.14-4) experimental; urgency=medium

  * Switch to llvm 3.9.
  * Update symbols files for amd64 and i386.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Dec 2017 05:24:25 +0100

pocl (0.14-3) experimental; urgency=medium

  * Cherry-pick upstream [c9d2cd15] "llvm/Flatten: switch back to
    force-inlining only some funcs", fixing kernel/test_convert_type_* failing
    on i386 with LLC_HOST_CPU=i686.
  * Switch LLC_HOST_CPU from "pentium3" to the correct baseline "i686" on
    i386.
  * kernel/test_printf actually passes on i386 with LLC_HOST_CPU=i686.
  * Only override POCL_CACHE_DIR for the testsuite, not HOME.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Dec 2017 07:08:32 +0100

pocl (0.14-2) experimental; urgency=medium

  * Cherry-pick upstream [62b74d6f] "Fix malloc size in tests/runtime/
    test_clBuildProgram.c", fixing runtime/clBuildProgram failing frequently
    on i386.
  * Try to guess the minimal cpu for more architectures.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Dec 2017 01:37:41 +0100

pocl (0.14-1) experimental; urgency=medium

  * New upstream release.
  * The autotools based build system is gone.
  * Refresh/remove patches.
  * Use the CMAKE_INSTALL_SYSCONFDIR setting for /etc.
  * Update symbols files.
  * Update copyright holders and years.
  * Remove pocl-standalone(1) manpage. The binary is no longer shipped.
  * Ship the new poclcc binary in libpocl-dev.
  * Do not downgrade to -std=c++11, fixing test_fabs failing on i386.
    (Closes: #883613)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Dec 2017 03:48:35 +0100

pocl (0.13-14) unstable; urgency=medium

  * Bump Standards-Version to 4.1.2, no changes needed.
  * cmake-no-get_cpu_name.patch: Rename/redo as
    cmake-no-llvm-sys-getHostCPUName.patch to not use
    llvm::sys::getHostCPUName().
  * Clean up generated include/CL/cl.hpp* to fix building twice in a row.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Dec 2017 18:55:52 +0100

pocl (0.13-13) experimental; urgency=medium

  * Fix cmake i386 detection, thanks to James Price.  (Closes: #882875)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Nov 2017 03:04:06 +0100

pocl (0.13-12) experimental; urgency=medium

  * Switch to cmake build system.
  * llvmopencl.so.7 is now a private library.  (Closes: #823528)
  * cmake-no-fno-rtti.patch: Build without -fno-rtti (a workaround for
    clang-3.7), like autotools, to avoid symbol changes.
  * cmake-no-get_cpu_name.patch: Do not use get_cpu_name(), makes some tests
    fail.
  * cmake-forcibly-link-regtests-with-pthread.patch: Link regression tests
    with -lpthread unconditionally, otherwise test_issue_231 fails.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Nov 2017 16:01:58 +0100

pocl (0.13-11) unstable; urgency=medium

  * Add Built-Using control field for linking against static clang libraries.
  * do-not-export-clang-symbols.patch: Link static clang libraries with
    --exclude-libs to not export their symbols.
  * Update symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 26 Nov 2017 19:22:48 +0100

pocl (0.13-10) unstable; urgency=medium

  * Update symbols files.
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Use dpkg makefile snippets instead of parsing the changelog manually.
  * Switch B-D-I: python-sphinx to python3-sphinx.
  * Set Rules-Requires-Root: no.
  * set-POCL_DEVICE_ADDRESS_BITS-before-use.patch: Fix use-before-init in
    CMakeLists.txt causing i386 to be misdetected as x86_64.
  * Do not export libOpenCL.so.1 symbols.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Nov 2017 21:03:13 +0100

pocl (0.13-9) unstable; urgency=medium

  * Work around using clang-3.8 with libstdc++-7-dev.  (Closes: #853620)
  * Update symbols files.
  * Switch to debhelper compat level 10.
  * Bump Standards-Version to 4.0.1.
  * Raise Priority to optional.
  * Support nodoc build.
  * Do not mark the -dev packages as Multi-Arch: foreign.
  * Move kernel-<triplet>.bc from libpocl1-common into libpocl1.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 07 Aug 2017 04:57:35 +0200

pocl (0.13-8) unstable; urgency=medium

  * Enable more hardening.
  * Reduce superfluous dependencies by linking with --as-needed.
  * Update symbols files.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Oct 2016 13:38:39 +0200

pocl (0.13-7) unstable; urgency=medium

  * Update symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Sep 2016 19:51:19 +0200

pocl (0.13-6) unstable; urgency=medium

  * Update symbols files.  (Closes: #835690, #836219)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Sep 2016 14:55:01 +0200

pocl (0.13-5) unstable; urgency=medium

  * Build-depend on the llvm-3.8 release version.
  * Update symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Jul 2016 04:24:40 +0200

pocl (0.13-4) unstable; urgency=medium

  * Use CLOCK_UPTIME_FAST on kFreeBSD.
  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Jul 2016 16:17:52 +0200

pocl (0.13-3) experimental; urgency=medium

  * Switch to llvm 3.8.
  * Update symbols files for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Jun 2016 14:37:21 +0200

pocl (0.13-2) unstable; urgency=medium

  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Jun 2016 11:40:19 +0200

pocl (0.13-1) experimental; urgency=medium

  * New upstream release.  (Closes: #820480)
  * Refresh llvm-system-libs.patch, new upstream only supports llvm 3.7/3.8.
  * Remove fix-image-args.patch, fixed upstream.
  * glibc-2.23.patch: New, add support for glibc 2.23.
  * Update symbols files for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 15 Jun 2016 18:55:21 +0200

pocl (0.12-6) unstable; urgency=medium

  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 Jun 2016 20:11:10 +0200

pocl (0.12-5) experimental; urgency=medium

  * Switch to llvm 3.7.
  * Update symbols files for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Jun 2016 10:26:04 +0200

pocl (0.12-4) unstable; urgency=medium

  * Update symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Jun 2016 02:36:14 +0200

pocl (0.12-3) unstable; urgency=medium

  * Fix OpenCL headers for GNU/Hurd.
  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 May 2016 17:17:37 +0200

pocl (0.12-2) experimental; urgency=medium

  * Add B-D: sphinx-common for binary-arch builds with 'dh --with sphinxdoc'.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 May 2016 20:32:16 +0200

pocl (0.12-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols files for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 09 May 2016 14:44:03 +0200

pocl (0.11-5) unstable; urgency=medium

  * Work around clang failing to find sys/cdefs.h on !linux.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 May 2016 12:29:56 +0200

pocl (0.11-4) unstable; urgency=medium

  * Add B-D: sphinx-common for binary-arch builds with 'dh --with sphinxdoc'.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 May 2016 12:45:38 +0200

pocl (0.11-3) unstable; urgency=medium

  * Update symbols files.
  * Provide documentation package (pocl-doc), thanks to Ghislain Vaillant.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 May 2016 02:57:38 +0200

pocl (0.11-2) unstable; urgency=medium

  * Make the B-D on clang versioned to match llvm.
  * Drop superfluous B-D.
  * Fix testsuite failure on i386.  (Closes: #822563)
  * Switch back target cpu to pentium3 on any-i386.
  * Fix arm64 detection.  (Closes: #787686)
  * Move libpocl1-common to section utils.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Apr 2016 10:17:50 +0200

pocl (0.11-1) experimental; urgency=medium

  [ Vincent Danjean ]
  * New upstream version  (Closes: #795321)
  * Switch to llvm-3.6  (Closes: #803652)
  * Fix "FTBFS on arm64" by targeting llvm arch to cortex-a53 on arm64
    (Closes: #787686)
  * Fix "vcs-browser field does not work" by fixing URL in debian/control
    (Closes: #775844)

  [ Andreas Beckmann ]
  * Use a temporary, writable $HOME while running the testsuite.
  * Show the full tests/testsuite.log on testsuite failures.
  * Drop the -dbg package in favor of autogenerated -dbgsym packages.
  * Update symbols files for amd64 and i386.
  * llvm-config --system-libs is only needed with static llvm.
  * Fix detection of image and sampler arguments, thanks to James Price.
    (Closes: #799322)
  * Put package under "Debian OpenCL Maintainers" team maintenance.
  * Add Vincent Danjean and myself to Uploaders.
  * Bump Standards-Version to 3.9.8 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Apr 2016 09:49:29 +0200

pocl (0.10-12) experimental; urgency=medium

  * Update again symbol file for armel
  * apply partial fix for armhf (only one test fail, due to neon instruction)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 02 Nov 2014 01:36:13 +0100

pocl (0.10-11) experimental; urgency=medium

  * Correctly fix FreeBSD include
  * Update symbols file

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 27 Oct 2014 12:31:47 +0100

pocl (0.10-10) unstable; urgency=medium

  * fix symbol file (again), perhaps due to previous target adjustment
  * trying pentium-m (for i386) and nehalem (for freebsd-i386) as
    processor target

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 25 Oct 2014 22:32:40 +0200

pocl (0.10-9) unstable; urgency=medium

  * fix symbol file (again)
  * lowering armhf llvm target (cortex-a5 instead of cortex-a7)
    The good one should be ARMv7-A but it does not exist in LLVM
    https://wiki.debian.org/ArmHardFloatPort
  * bumping i386 target (from i686 to pentium4)
    => some officially Debian supported i386 systems wont work with
    pocl

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 24 Oct 2014 14:20:00 +0200

pocl (0.10-8) unstable; urgency=medium

  * fix symbol file for other architecture (!amd64)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 24 Oct 2014 08:09:48 +0200

pocl (0.10-7) unstable; urgency=medium

  * bump minimum arch on i386 (from i586 to i686)
  * to not ignore failed testsuite anymore at build time

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 22 Oct 2014 21:07:51 +0200

pocl (0.10-6) unstable; urgency=medium

  * Fix OpenCL headers for i386 FreeBSD
  * use pkg-kde-tools to handle C++ symbols
  * Try to support more Debian architectures.

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 22 Oct 2014 12:31:11 +0200

pocl (0.10-5) unstable; urgency=medium

  * Fix arm configure.ac detection
  * try to support more Debian architectures

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 21 Oct 2014 14:50:28 +0200

pocl (0.10-4) unstable; urgency=medium

  * No need to provide utlist.h that is already provided in the uthash-dev
    package (Closes: #764571)
  * Fix some glitches in descriptions
  * Remove old unneeded patches
  * Add clang-3.5 dependency for libpocl1 (required when running a kernel)
  * Fix default host CPU for the OpenCL compiler
  * Add info in build logs to help debugging

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 10 Oct 2014 22:23:38 +0200

pocl (0.10-3) unstable; urgency=medium

  * Move the manpage in the correct package

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 08 Oct 2014 00:03:28 +0200

pocl (0.10-2) unstable; urgency=medium

  * Fix URLs, project name and update the copyright list
    (initially created in 2012 with 0.7 version)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 06 Oct 2014 23:22:34 +0200

pocl (0.10-1) unstable; urgency=medium

  * Initial release. (Closes: #676504: ITP: pocl -- Portable OpenCL)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 05 Oct 2014 21:15:18 +0200
